CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

左侧属性 (ActiveX)

2023-1-3 12:12| 发布者: admin| 查看: 453| 评论: 0|来自: AutoCAD

摘要: 指定工具栏的左边缘。

指定工具栏的左边缘。

支持的平台:仅窗口

签名

工 务 局:

object.Left
对象

类型:工具栏

此属性适用的对象。

属性值

只读:

类型:整数

工具栏的左边缘。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_Left()
    ' This example creates a new toolbar called "TestToolbar" and inserts a
    ' button into it. The toolbar is then displayed and the Left
    ' position is returned.
    ' To remove the toolbar after execution of this macro, use the Customize Menu
    ' option from the Tools menu.
    
    Dim currMenuGroup As acadMenuGroup
    Set currMenuGroup = ThisDrawing.Application.MenuGroups.Item(0)
    
    ' Create the new toolbar
    Dim newToolBar As AcadToolbar
    Set newToolBar = currMenuGroup.Toolbars.Add("TestToolbar")
    
    ' Add a button to the new toolbar.
    Dim newButton1 As AcadToolbarItem
    Dim openMacro As String
    
    ' Assign the macro string the VB equivalent of "ESC ESC _open "
    openMacro = Chr(3) & Chr(3) & Chr(95) & "open" & Chr(32)
    
    Set newButton1 = newToolBar.AddToolbarButton("", "NewButton1", "Open a file.", openMacro)
    
    ' Display the toolbar
    newToolBar.Visible = True
    
    'Find the Left position
    Dim currLeft As Integer
    currLeft = newToolBar.Left
    MsgBox "The current value of Left is " & newToolBar.Left, , "Left Example"
    
    ' Change the value of Left
    newToolBar.Left = currLeft + 100
    MsgBox "The new value of Left is " & newToolBar.Left, , "Left Example"
    
    ' Reset the value of Left
    newToolBar.Left = currLeft
    MsgBox "The value of Left has been reset to " & newToolBar.Left, , "Left Example"
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Left()
    ;; This example creates a new toolbar called "TestToolbar" and inserts a
    ;; button into it. The toolbar is then displayed and the Left
    ;; position is returned.
    ;; To remove the toolbar after execution of this macro, use the Customize Menu
    ;; option from the Tools menu.
    (setq acadObj (vlax-get-acad-object))
    (setq currMenuGroup (vla-Item (vla-get-MenuGroups acadObj) 0))
    
    ;; Create the new toolbar
    (setq newToolBar (vla-Add (vla-get-Toolbars currMenuGroup) "TestToolbar"))
    
    ;; Add a button to the new toolbar.
    ;; Assign the macro string the VB equivalent of "ESC ESC _open "
    (setq openMacro (strcat (Chr 3) (Chr 3) (Chr 95) "open" (Chr 32)))
    
    (setq newButton1 (vla-AddToolbarButton newToolBar "" "NewButton1" "Open a file." openMacro))
    
    ;; Display the toolbar
    (vla-put-Visible newToolBar :vlax-true)
    
    ;; Find the Left position
    (setq currLeft (vla-get-Left newToolBar))
    (alert (strcat "The current value of Left is " (itoa currLeft)))
    
    ;; Change the value of Left
    (vla-put-Left newToolBar (+ currLeft 100))
    (alert (strcat "The new value of Left is " (itoa (vla-get-Left newToolBar))))
    
    ;; Reset the value of Left
    (vla-put-Left newToolBar currLeft)
    (alert (strcat "The value of Left has been reset to " (itoa (vla-get-Left newToolBar))))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 16:33

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部